import { world, system } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";


world.afterEvents.entityHitEntity.subscribe((eventData) => {
    const players = world.getPlayers()
    const source = eventData.damagingEntity
    const entity = eventData.hitEntity
    const vecx = Math.round(source.getViewDirection().x)
    const vecz = Math.round(source.getViewDirection().z)
    //console.warn("x coord: " + vecx, "z coord: " + vecz)
    if (entity.typeId != "minecraft:player") {
        if ((vecx == 1 || vecx == -1) && vecz == 0 && source.hasTag("moon") == true) {
            entity.applyImpulse({ x: vecx * 1.5 / 2, y: 0, z: 0 })
        }
        if (vecx == 0 && (vecz == 1 || vecz == -1) && source.hasTag("moon") == true) {
            entity.applyImpulse({ x: 0, y: 0, z: vecz * 1.5 / 2 })
        }
    }
    if (entity.typeId == "ao:ao_eleven") {
        entity.kill();
        source.runCommandAsync("setblock 37 -60 -78 redstone_block ")
    }
    if (entity.typeId == "ao:woschdl") {
        const action = new ActionFormData()
        action.title("Question:")
        action.body("§5Witches §ftravel with")
        action.button("Camel")
        action.button("Broom")
        action.button("Bus")
        Promise.all(players.map(data => {
            return action.show(data).then(sourcy => {
                if (sourcy.canceled) return;
                if (sourcy.selection === 0) {
                    world.sendMessage("Oh, wrong one try again!");
                }
                if (sourcy.selection === 1) {
                    world.sendMessage("You are right! I'll shall take you to the next room. Use the ventilator to get the flying ability");
                    data.addTag("jumper")
                    data.runCommandAsync("event entity @e[type=ao:venti] despawn")
                    data.runCommandAsync("summon ao:venti 52 -56 58")
                    entity.triggerEvent("despawn")
                }
                if (sourcy.selection === 2) {
                    world.sendMessage("Oh, wrong one try again!");
                }
            });
        }));
    }
})

//system.runInterval(() => {
//world.getDimension("overworld").getEntities().filter(entity => {
//if (entity.hasTag("jesus") == false && entity.typeId == "minecraft:npc") {
//entity.clearVelocity()
//console.warn("Ich bin ein gärner")
//}
//})
//}, 60)
